Subject: RE: [nfsv4] what to do with the 4.1 .x file

From: "Noveck, Dave" <[email-masked]>
Date: Thu, 13 Jul 2006 15:11:45 -0400

I don't really care.  As long as there is a link somewhere 
and I can get access to it I'm fine.

I don't think there is a real issue with the size of the
document although there is a political issue.  If it
helps with the IESG, to have a smaller document by
removing stuff that they aren't going to look at anyway,
then we might as well.

One issue about removing this is that in RFC3530 there
is a statement that says that the descriptions and the
.x might differ and in that case the .x wins.  I'm not
sure we could do that if the .x is not part of the RFC.
In that case, I think the document has to win.  I don't
think that means we can't do this, but I think we have
to be real clear in our review of the desciptions that
they have to be right. 

-----Original Message-----
From: Spencer Shepler [mailto:[email-masked]] 
Sent: Thursday, July 13, 2006 3:12 AM
To: [email-masked]
Subject: [nfsv4] what to do with the 4.1 .x file

With the soon-to-be-available nfsv41_prot.x file.
I would like to ask a question of how to manage it with respect to the
protocol document.

For RFC3530, the dot-x was included directly in the document.
It was useful to see the entire definition linearly but it was not
useful for easy reference and certainly less useful for anyone that
wanted to use it as a starting point for encode/decode.
The other downside is that it inflated the size of the document.

I have been considering an alternative to direct insertion of the dot-x
into the NFSv4.1 spec.  I am wondering if it may be more effective to
keep it separate from the I-D and resultant RFC and instead "register"
it with IANA such that it can be located easily and intact.

Feedback / Opinions?

Spencer

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4